Bug 265841 - Review Request: blcr - Berkeley Lab Checkpoint/Restart for Linux
Summary: Review Request: blcr - Berkeley Lab Checkpoint/Restart for Linux
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-29 23:00 UTC by Neal Becker
Modified: 2007-12-01 03:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-01 03:40:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review-


Attachments (Terms of Use)

Description Neal Becker 2007-08-29 23:00:47 UTC
Spec URL: https://nbecker.dyndns.org/RPM/blcr-0.6.0_b7-2.spec
SRPM URL: https://nbecker.dyndns.org/RPM/blcr-0.6.0_b7-2.src.rpm
Description: Berkeley Lab Checkpoint/Restart for Linux (BLCR)

This package implements system-level checkpointing of scientific applications
in a manner suitable for implementing preemption, migration and fault recovery
by a batch scheduler.

BLCR includes documented interfaces for a cooperating applications or
libraries to implement extensions to the checkpoint system, such as
consistent checkpointing of distributed MPI applications.
Using this package with an appropriate MPI implementation, the vast majority
of scientific applications which use MPI for communucation on Linux clusters
are checkpointable without any modifications to the application source code.

You must also install the %{name}-libs package and a %{name}-modules_* package
matching your kernel version.

Comment 1 Neal Becker 2007-08-30 19:13:06 UTC
Updated spec to fix rpmlint complaints

https://nbecker.dyndns.org/RPM/blcr-0.6.0_b7-3.spec
https://nbecker.dyndns.org/RPM/blcr-0.6.0_b7-3.src.rpm

Comment 2 Jason Tibbitts 2007-09-06 22:56:51 UTC
If this contains kernel modules, you really should read over
http://fedoraproject.org/wiki/Extras/Policy/KernelModules and
http://fedoraproject.org/wiki/Packaging/KernelModules and you should also be
aware of the current proposals working their way through the process, such as
http://fedoraproject.org/wiki/DavidWoodhouse/KmodProposal


Comment 3 Jason Tibbitts 2007-09-13 18:05:33 UTC
So it has come to pass that Fedora will no longer accept external kernel module
packages.  So either your modules are destined for the upstream kernel, in which
case there's a possibility that they could be patched into the Fedora kernel
package, or this package is simply not appropriate for Fedora.

Comment 4 Jason Tibbitts 2007-12-01 03:40:07 UTC
I guess there's not much more to do here but close this ticket.


Note You need to log in before you can comment on or make changes to this bug.